Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.client.delegate
Class ClientBrowserDelegate

    java.lang.Object
      org.jboss.jms.client.delegate.DelegateSupport
          org.jboss.jms.client.delegate.ClientBrowserDelegate

All Implemented Interfaces:
  BrowserDelegate, BrowserEndpoint, Closeable, java.io.Serializable

public class ClientBrowserDelegate
extends DelegateSupport
implements BrowserDelegate

The client-side Browser delegate class.

Version:
  `$Revision: 1.6 $` $Id: ClientBrowserDelegate.java,v 1.6 2006/02/01 17:38:30 timfox Exp $
Author:
  Tim Fox, Ovidiu Feodorov
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.jms.client.delegate.DelegateSupport
`id, state`

Constructor Summary
`ClientBrowserDelegate()`
`ClientBrowserDelegate(int objectID)`

Method Summary
`void` | `close()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `closing()` Tell the instance to prepare to close
`protected Client` | `getClient()`
`java.lang.String` | `getStackName()`
`boolean` | `hasNextMessage()`
`Message` | `nextMessage()`
`Message[]` | `nextMessageBlock(int maxMessages)`
`java.lang.String` | `toString()`

Methods inherited from class org.jboss.jms.client.delegate.DelegateSupport
`getID, getMetaData, getName, getState, init, invoke, setState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClientBrowserDelegate

    public ClientBrowserDelegate(int objectID)

### ClientBrowserDelegate

    public ClientBrowserDelegate()

Method Detail

### close

    public void close()
               throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `JMSException`

### closing

    public void closing()
                 throws JMSException

  Description copied from interface: `Closeable`
  Tell the instance to prepare to close

  Specified by:
    `closing` in interface `Closeable`
  Throws:
    `JMSException`

### hasNextMessage

    public boolean hasNextMessage()
                           throws JMSException

  Specified by:
    `hasNextMessage` in interface `BrowserEndpoint`
  Throws:
    `JMSException`

### nextMessage

    public Message nextMessage()
                        throws JMSException

  Specified by:
    `nextMessage` in interface `BrowserEndpoint`
  Throws:
    `JMSException`

### nextMessageBlock

    public Message[] nextMessageBlock(int maxMessages)
                               throws JMSException

  Specified by:
    `nextMessageBlock` in interface `BrowserEndpoint`
  Throws:
    `JMSException`

### getStackName

    public java.lang.String getStackName()

### toString

    public java.lang.String toString()

### getClient

    protected Client getClient()

  Specified by:
    `getClient` in class `DelegateSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.